Subject: Re: rename directory weirdness

From: Steven Grimm <[email-masked]>
Date: Thu, 26 Jul 2007 16:54:31 +0800

Bert Douglas wrote:
> $ mv dir1 dir2
> $ git add dir2
> $ git commit -a
>
> It popped up my editor with long list of files that it recognized as 
> 'renamed'.
> But one file it listed as 'copied' and further down as 'deleted'.
>
> Why this one file out of thousands not recognized as 'renamed' ?
> Is this a sign of a problem ?

Are the contents of the file in question identical to those of some 
other file in your directory tree? I've seen that happen too. There were 
some proposed improvements to address this last time it came up on the 
list, but I'm not sure if any of them actually made it into the code base.

-Steve